"""document comments column is now not nullable and has default value

Revision ID: 11d362313208
Revises: 8d576fde2337
Create Date: 2025-01-23 16:33:45.141370

"""
from alembic import op
import sqlalchemy as sa
import sqlmodel.sql.sqltypes
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '11d362313208'
down_revision = '8d576fde2337'
branch_labels = None
depends_on = None


def upgrade():
    # Set default value for comments
    op.execute("""
        UPDATE document
        SET comments = '{"comments": [], "annotations": [], "format": "https://pspdfkit.com/instant-json/v1"}'
        WHERE comments = 'null'::jsonb OR comments IS NULL
    """)

    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('document', 'comments',
               existing_type=postgresql.JSONB(astext_type=sa.Text()),
               server_default='{"comments": [], "annotations": [], "format": "https://pspdfkit.com/instant-json/v1"}',
               nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('document', 'comments',
               existing_type=postgresql.JSONB(astext_type=sa.Text()),
               server_default=None,
               nullable=True)
    # ### end Alembic commands ###
