"""Add column processing_status to Document model

Revision ID: 8d576fde2337
Revises: 216c65a917f3
Create Date: 2024-12-13 09:51:49.866886

"""
from alembic import op
import sqlalchemy as sa
import sqlmodel.sql.sqltypes


# revision identifiers, used by Alembic.
revision = '8d576fde2337'
down_revision = '216c65a917f3'
branch_labels = None
depends_on = None

processing_status_enum = sa.Enum('unknown', 'failed', 'pending', 'retry', 'started', 'success', name='processingstatus')
def upgrade():
    processing_status_enum.create(op.get_bind())
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('document', sa.Column('processing_status', processing_status_enum, nullable=False, server_default='unknown'))
    op.add_column('document', sa.Column('processing_status_details', sqlmodel.sql.sqltypes.AutoString(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('document', 'processing_status')
    op.drop_column('document', 'processing_status_details')
    # ### end Alembic commands ###
    processing_status_enum.drop(op.get_bind())
