"""Add timestamp to chat_query

Revision ID: b6e2cf2d4ee5
Revises: dc31368f80ca
Create Date: 2025-01-30 10:18:27.180692

"""
from datetime import datetime, timedelta
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'b6e2cf2d4ee5'
down_revision = 'dc31368f80ca'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('chatquery', sa.Column('created_at', sa.DateTime(), nullable=True))
    # ### end Alembic commands ###

    # The column was added on the 29th january 2025 so for the existing entries we'll use this date as a base
    original_date = "2025-01-29"
    op.execute(f"""
        UPDATE chatquery
        SET created_at= '{original_date}'
        WHERE created_at IS NULL
    """)

    op.alter_column('chatquery', 'created_at', nullable=False)

def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('chatquery', 'created_at')
    # ### end Alembic commands ###
