"""processing status is failure

Revision ID: bb5b4cdab369
Revises: b6e2cf2d4ee5
Create Date: 2025-01-31 16:32:07.197844

"""
from alembic import op
import sqlalchemy as sa
import sqlmodel.sql.sqltypes


# revision identifiers, used by Alembic.
revision = 'bb5b4cdab369'
down_revision = 'b6e2cf2d4ee5'
branch_labels = None
depends_on = None

def upgrade():
    bind = op.get_bind()
    old_enum = sa.Enum('unknown', 'failed', 'pending', 'retry', 'started', 'success', name='processingstatus')
    new_enum = sa.Enum('unknown', 'failure', 'pending', 'retry', 'started', 'success', 'revoked', name='processingstatus_new')

    new_enum.create(bind, checkfirst=True)



    op.execute("ALTER TYPE processingstatus ADD VALUE 'failure'")
    op.execute("COMMIT")

    op.execute("ALTER TABLE document ALTER COLUMN processing_status DROP DEFAULT")

    op.execute(
        sa.text("UPDATE document SET processing_status = 'failure' WHERE processing_status = 'failed'")
    )

    op.alter_column(
        'document', 'processing_status',
        type_=new_enum,
        existing_type=old_enum,
        postgresql_using="processing_status::text::processingstatus_new"
    )

    old_enum.drop(bind, checkfirst=True)
    op.execute("ALTER TYPE processingstatus_new RENAME TO processingstatus")

    op.execute("ALTER TABLE document ALTER COLUMN processing_status SET DEFAULT 'unknown'")


def downgrade():
    bind = op.get_bind()
    old_enum = sa.Enum('unknown', 'failed', 'pending', 'retry', 'started', 'success', name='processingstatus_old')
    new_enum = sa.Enum('unknown', 'failure', 'pending', 'retry', 'started', 'success', 'revoked', name='processingstatus')


    old_enum.create(bind, checkfirst=True)

    op.execute("ALTER TYPE processingstatus ADD VALUE 'failed'")
    op.execute("COMMIT")

    op.execute("ALTER TABLE document ALTER COLUMN processing_status DROP DEFAULT")

    op.execute(
        sa.text("UPDATE document SET processing_status = 'failed' WHERE processing_status = 'failure'")
    )

    op.alter_column(
        'document', 'processing_status',
        type_=old_enum,
        existing_type=new_enum,
        postgresql_using="processing_status::text::processingstatus_old"
    )

    new_enum.drop(bind, checkfirst=True)
    op.execute("ALTER TYPE processingstatus_old RENAME TO processingstatus")

    op.execute("ALTER TABLE document ALTER COLUMN processing_status SET DEFAULT 'unknown'")
