from celery import Celery

from app.core.config import settings

celery_app = (
    Celery(
        "sofia_parsing",
        broker=settings.REDIS_HOST,
        backend=settings.REDIS_HOST,
        pool="solo",  # needed for CUDA jobs, see https://stackoverflow.com/questions/63645357/using-pytorch-with-celery
    )  # type: ignore[call-arg]
    if settings.REDIS_HOST is not None
    else None
)
