import os

from fastapi.testclient import TestClient

from app.core.config import settings
from app.main import PROJECT_PATH
from app.models import Collection


def create_dummy_document(client: TestClient, collection: Collection, token: dict[str, str]) -> str:
    with open(os.path.join(PROJECT_PATH, "fixtures", "dummy.pdf"), "rb") as f:
        documents_json: list[dict[str, str]] = client.post(
            f"{settings.API_V1_STR}/collections/{collection.id}/document",
            headers=token,
            files={"files": f},
        ).json()
        return documents_json[0]["id"]
