#!/bin/bash

# Attendre que MinIO soit démarré
until curl -s http://minio:9000; do
  echo "Waiting for MinIO to start..."
  sleep 2
done

# Configure le bucket
mc alias set local http://minio:9000 minioadmin minioadmin
echo "Create bucket collections..."
mc mb local/collections || echo "Bucket already exists"
echo "Create key... $S3_ACCESS_KEY"
mc admin user add local $S3_ACCESS_KEY $S3_SECRET_KEY
mc admin policy attach local readwrite --user $S3_ACCESS_KEY
echo "Test user created: $S3_ACCESS_KEY with policy 'readwrite'"
